Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class DistributionList

    java.lang.Object
      com.compoze.exchange.AbstractItem
          com.compoze.exchange.Message
              com.compoze.exchange.DistributionList

All Implemented Interfaces:
  java.io.Serializable

public class DistributionList
extends Message
implements java.io.Serializable

This class is a personal Exchange distribution list. Distribution instances are obtained from the `Messages` class. Methods that access properties on the class require that the properties were loaded beforehand. Any methods that begin with `server` make a query to the server. Distribution Lists are read-only, so calling `serverUpdate` with recipients will fail.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all the properties available on a distributionlist.

Fields inherited from class com.compoze.exchange.AbstractItem
`m_props, m_session`

Method Summary
`MemberInfo[]` | `getMemberInfo()` Gets the members of the distribution list.
`void` | `serverUpdate(Recipient[] recipients, boolean bSend, boolean bSaveInSent)` This method throws an `ExchangeException`, as the recipients cannot be updated.
`void` | `serverUpdate(Recipient[] recipients, int[] deleteRecipients, boolean bSend, boolean bSaveInSent)` This method throws an `ExchangeException`, as the recipients cannot be updated.

Methods inherited from class com.compoze.exchange.Message
`getActionStatus, getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getCategories, getConversationIndex, getConversationTopic, getDeliveryReceipt, getEncrypted, getFlagStatus, getFlagText, getFolderID, getFolderName, getHtml, getHtml, getID, getImportance, getMessageType, getNormalizedSubject, getReadReceipt, getRecipientInfo, getRecipientInfoArray, getRichTextFormat, getRichTextFormatAsHtml, getRichTextFormatAsHtml, getRichTextFormatAsPlain, getSender, getSenderName, getSensitivity, getSent, getSigned, getSize, getStoreID, getSubject, getSubject, getSubmitted, getText, getTimeCreated, getTimeExpired, getTimeLastModified, getTimeReceived, getTimeReceivedString, getTimeSent, getUnread, hasAttachment, serverAddAttachment, serverCopyTo, serverDelete, serverDelete, serverDeleteAttachment, serverGetAttachment, serverGetAttachments, serverMoveTo, serverMoveTo, serverResolveRecipients, serverUpdate, setActionStatus, setCategories, setConversationIndex, setConversationTopic, setDeliveryReceipt, setEncrypted, setFlagStatus, setFlagText, setFlagText, setHtml, setImportance, setMessageType, setReadReceipt, setRichTextFormat, setSender, setSensitivity, setSent, setSigned, setSubject, setSubmitted, setText, setTimeExpired, setTimeReceived, setTimeSent, setUnread, toString`

Methods inherited from class com.compoze.exchange.AbstractItem
`get, getBoolean, getByteArray, getDate, getDouble, getInt, getInvalidPropertyValues, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setByteArray, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all the properties available on a distributionlist. It's is preferred to only specify the keys required as the number of properties has a direct impact on performance.

Method Detail

### serverUpdate

    public void serverUpdate(Recipient[] recipients,
                             boolean bSend,
                             boolean bSaveInSent)
                      throws ExchangeException

  This method throws an `ExchangeException`, as the recipients cannot be updated.

  Overrides:
    `serverUpdate` in class `Message`
  Parameters:
    `recipients` - the recipients to add to the message (or `null` for no recipients to add)
    `bSend` - if `true`, send the message
    `bSaveInSent` - if `true` and sending the message, save the message in the `Sent Items` folder
  Throws:
    `ExchangeException`

### serverUpdate

    public void serverUpdate(Recipient[] recipients,
                             int[] deleteRecipients,
                             boolean bSend,
                             boolean bSaveInSent)
                      throws ExchangeException

  This method throws an `ExchangeException`, as the recipients cannot be updated.

  Overrides:
    `serverUpdate` in class `Message`
  Parameters:
    `recipients` - the recipients to add to the message (or `null` for no recipients to add)
    `deleteRecipients` - the recipients to remove from the message (or `null` for no recipients to remove)
    `bSend` - if `true`, send the message
    `bSaveInSent` - if `true` and sending the message, save the message in the `Sent Items` folder
  Throws:
    `ExchangeException`

### getMemberInfo

    public MemberInfo[] getMemberInfo()
                               throws ExchangeException

  Gets the members of the distribution list.

  Returns:
    the members of the distribution list, or `null` if the contact is not a distribution list.
  Throws:
    `ExchangeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.